lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shawn Heisey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SOLR-7880) Update commons-cli to 1.3.1, fix usage of deprecated classes/methods
Date Fri, 07 Aug 2015 07:17:45 GMT

    [ https://issues.apache.org/jira/browse/SOLR-7880?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14661426#comment-14661426
] 

Shawn Heisey commented on SOLR-7880:
------------------------------------

Tests and precommit passed.  Several random bin\solr commands also worked.

After fixing the script to accept Ant 1.9, nightly-smoke passed too.

> Update commons-cli to 1.3.1, fix usage of deprecated classes/methods
> --------------------------------------------------------------------
>
>                 Key: SOLR-7880
>                 URL: https://issues.apache.org/jira/browse/SOLR-7880
>             Project: Solr
>          Issue Type: Improvement
>          Components: scripts and tools
>    Affects Versions: 5.2.1
>            Reporter: Shawn Heisey
>            Assignee: Shawn Heisey
>             Fix For: 5.4
>
>         Attachments: SOLR-7880.patch, SOLR-7880.patch, SOLR-7880.patch
>
>
> While looking at SOLR-7847, I noticed that commons-cli was an old version, and once I
upgraded it in the ivy config, found that SolrCLI is using deprecated classes/methods.
> This issue is to complete the upgrade and fix the deprecations.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message